Subject: bug#9983: valgrind warning in draw_glyphs

From: Eli Zaretskii <[email-masked]>
Date: Mon, 07 Nov 2011 17:57:04 +0200

> From: Andreas Schwab <[email-masked]>
> Cc: Dan Nicolaescu <[email-masked]>,  [email-masked]
> Date: Mon, 07 Nov 2011 13:21:38 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > The other variables in the line being flagged, `start' and `i', are
> > also okay: `start' is one of the call arguments
> 
> Just being an argument does not necessarily make it ok.

Indeed.  I also thought about that, so I checked the callers two
levels up, and came up empty-handed.

I guess the optimization done by GCC 4.6 fooled valgrind as well.